Name: bash_mitigate_cve_2014_6271
Version: 0.0.2
Release: 1%{?dist}
Summary: bash CVE-2014-6271 temporary mitigation 
Group: Applications/System
Source: cve_2014_6271_bash_ld_preload.c
License: GPL
Vendor: CERN
Packager: Jaroslaw.Polok@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Requires: bash
Requires: sed
Requires: grep

BuildRequires: gcc


%description 
Temporary mitigation for CVE-2014-6271

%prep


%build
gcc %{SOURCE0} -fPIC -shared -Wl,-soname,bash_ld_preload.so.1 -o bash_ld_preload.so

%install
mkdir -p $RPM_BUILD_ROOT/%{_lib}
install -m 0755 bash_ld_preload.so $RPM_BUILD_ROOT/%{_lib}/

%post

[ ! -r /etc/ld.so.preload ] && touch /etc/ld.so.preload

/bin/sed -i -e 's/\/lib\/bash_ld_preload.so//' /etc/ld.so.preload
/bin/sed -i -e 's/\/lib64\/bash_ld_preload.so//' /etc/ld.so.preload

if ! /bin/grep  -qe "\/\$LIB\/bash_ld_preload.so" /etc/ld.so.preload; then
   echo " /\$LIB/bash_ld_preload.so " >> /etc/ld.so.preload
fi
exit 0

%preun

/bin/sed -i -e 's/\/\$LIB\/bash_ld_preload.so//' /etc/ld.so.preload 
exit 0


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
/%{_lib}/bash_ld_preload.so


%changelog
* Thu Sep 25 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 0.0.1
- initial release.
